#include "SD.h"
#define SD_ChipSelectPin 4
#include "TMRpcm.h"
#include "SPI.h"

TMRpcm tmrpcm;
const int btnPin[] = {2,3,5,6} ;
const char* song[] = {"1.wav","2.wav","3.wav"} ; 
int current = -1;
int powerpin = 8 ;

void setup(){
tmrpcm.speakerPin = 9;
Serial.begin(9600);
if (!SD.begin(SD_ChipSelectPin)) {
Serial.println("SD fail");
return;
}

for(int i = 0; i<4;i++){
     pinMode(btnPin[i], INPUT_PULLUP);
};
pinMode(powerpin,OUTPUT) ;
digitalWrite(powerpin,LOW);
tmrpcm.setVolume(6);
Serial.println("SD OK");
}

void loop(){  

  for(int i = 0; i<3;i++){
     if (digitalRead(btnPin[i]) == false && current != i){
       Serial.println(song[i]);
       tmrpcm.stopPlayback(); 
       current = i ;
       tmrpcm.play(song[i]);
       tmrpcm.loop(1) ;
       break ;
     }


     if (digitalRead(btnPin[3]) == false ){
      if (digitalRead(powerpin) == false) {
       digitalWrite(powerpin, HIGH) ;
       Serial.println("motorpower on " );
      }
      else{
       digitalWrite(powerpin, LOW) ;
       Serial.println("motorpower off" );
      }
     }
       
     
  };
   if (tmrpcm.isPlaying() == 0 && current > -1){
    tmrpcm.play(song[current]);
    tmrpcm.loop(1) ;
  }
  delay(500);
 
}



